Subject: Re: [PATCHv2] Add --reference option to git submodule.

From: Michael J Gruber <[email-masked]>
Date: Tue, 28 Apr 2009 19:01:54 +0200

Johannes Sixt venit, vidit, dixit 28.04.2009 16:51:
> Michael J Gruber schrieb:
>> BTW, even dash has "test STRING" so portability doesn't require -n but I
>> think it's OK either way.
> 
> It is not if STRING is user input; it could be, e.g., '-f', and then the
> command gives a syntax error because of a missing argument.
> 
> It's safer to use test -z and test -n unless the string to test is
> completely under the control of the script.

Yep, that's true as a general rule. Here it's always preceeded by
"--reference=". But in any case I'm happy I suggested -n and it's in ;)

Michael